Tradelink

get

Get the materialized Tradelink Network configuration of workspace

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
or
nullOptional
get
/tradelink/network
get

Get the Tradelink network blueprint with all available Network configuration options

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
or
nullOptional
get
/tradelink/network/blueprint
get

Get the Tradelink settlements for the workspace

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
pledgeIdstringOptional
accountIdstringOptional
Responses
200

Successful response

application/json
pagenumberRequired

Current page

nextany ofRequired

Next page or null if there is none

numberOptional
or
nullOptional
prevany ofRequired

Previous page or null if there is none

numberOptional
or
nullOptional
pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get
/tradelink/settlements
get

Get a Tradelink settlement by its Id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
settlementIdstringRequired
Responses
200

Successful response

application/json
idstringRequired

Settlement ID

pledgeIdstringRequired

Pledge ID associated with the settlement

statestring · enumRequired

State of the settlement

Possible values:
outboundTransactionHashany ofRequired

Outbound transaction hash of the settlement

stringOptional
or
nullOptional
accountIdstringRequired

Account ID associated with the settlement

exchangeIdstringRequired

Exchange ID associated with the settlement

get
/tradelink/settlements/{settlementId}

Last updated